#!/usr/bin/env lua

-- $Author: bam $
-- $Date: 2007-05-06 12:14:35 -0400 (Sun, 06 May 2007) $ 
-- $Revision: 34637 $

local floor = math.floor
local format = string.format
local insert = table.insert
local read, write = io.read, io.write

local dataminer = require "dataminer"
local read_items = dataminer.read_items

local key = {
  [0] = "0", "1", "2", "3", "4", "5", "6", "7", "8", "9", 
        "a", "b", "c", "d", "e", "f", "g", "h", "i", "j",
        "k", "l", "m", "n", "o", "p", "q", "r", "s", "t",
        "u", "v", "w", "x", "y", "z"
}

local function to36(d)
  local str = ""
  repeat
    str = key[d % 36] .. str
    d = floor(d / 36)
  until d == 0
  return str
end

local items = read_items("items.csv")

write('"')
for i = 1, table.maxn(items) do
  local item = items[i]
  local price = item and item.price
  local s = price and to36(price) or ""
  assert(#s <= 4)
  write(format("%4s", s))
end
write('"')




